com.trendmicro.ds.network.rest.object.sslconfiguration

## Class ListSSLConfigurationsResponse

- java.lang.Object
- - com.trendmicro.ds.network.rest.object.sslconfiguration.ListSSLConfigurationsResponse

-     public class ListSSLConfigurationsResponse
      extends java.lang.Object

  Response object for the ListSSLConfigurations API

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ListSSLConfigurationsResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<SSLConfiguration>` | `getSSLConfigurations()` Get the list of SSL configuration details
    `void` | `setSSLConfigurations(java.util.List<SSLConfiguration> sslConfigurations)` Set the list SSL configuration details
    `ListSSLConfigurationsResponse` | `withSSLConfigurations(java.util.List<SSLConfiguration> sslConfigurations)` Set the list of SSL configuration details
    `ListSSLConfigurationsResponse` | `withSSLConfigurations(SSLConfiguration... sslConfigurations)` Set the list of SSL configuration details

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ListSSLConfigurationsResponse

          public ListSSLConfigurationsResponse()

  - ### Method Detail

    - #### getSSLConfigurations

          public java.util.List<SSLConfiguration> getSSLConfigurations()

      Get the list of SSL configuration details
      Returns:
        the list of SSL configuration details

    - #### setSSLConfigurations

          public void setSSLConfigurations(java.util.List<SSLConfiguration> sslConfigurations)

      Set the list SSL configuration details
      Parameters:
        `sslConfigurations` - the list of SSL configuration details to set

    - #### withSSLConfigurations

          public ListSSLConfigurationsResponse withSSLConfigurations(java.util.List<SSLConfiguration> sslConfigurations)

      Set the list of SSL configuration details
      Parameters:
        `sslConfigurations` - the list of SSL configuration details to set
      Returns:
        the updated ListSSLConfigurationResponse object

    - #### withSSLConfigurations

          public ListSSLConfigurationsResponse withSSLConfigurations(SSLConfiguration... sslConfigurations)

      Set the list of SSL configuration details
      Parameters:
        `sslConfigurations` - the list of SSL configuration details to set
      Returns:
        the updated ListSSLConfigurationResponse object

Copyright © 2017 Trend Micro Inc. All Rights Reserved.